Subject: Re: [PATCH v2] wifi: mac80211: do not abuse fq.lock in ieee80211_do_stop()

From: Jakub Kicinski <[email-masked]>
Date: Tue, 26 Jul 2022 14:38:07 -0700

On Tue, 26 Jul 2022 08:05:12 -0700 Ben Greear wrote:
> >> Since this patch fixes a regression introduced in 5.19-rc7, can this patch go to 5.19-final ?
> >>
> >> syzbot is failing to test linux.git for 12 days due to this regression.
> >> syzbot will fail to bisect new bugs found in the upcoming merge window
> >> if unable to test v5.19 due to this regression.  
> > 
> > I took this to wireless-next as I didn't think there's enough time to
> > get this to v5.19 (and I only heard Linus' -rc8 plans after the fact).
> > So this will be in v5.20-rc1 and I recommend pushing this to a v5.19
> > stable release.  
> 
> Would it be worth reverting the patch that broke things until the first stable 5.19.x
> tree then?  Seems lame to ship an official kernel with a known bug like this.

I cherry-picked the fix across the trees after talking to Kalle and
DaveM. Let's see how that goes...